
/* 
 * Copyright (c) 1993-2005 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/


#ifndef aspect_ERROR_H
#define aspect_ERROR_H

#include "h2errorLib.h"
#include "genom/genomError.h"

#define M_aspect    (6020)

/* -- MODULES ERRORS -------------------------------------------------- */

/* demo errors */
#define S_aspect_POSTER_NOT_FOUND     H2_ENCODE_ERR(M_aspect    , 1)
#define S_aspect_BAD_PARAMETERS       H2_ENCODE_ERR(M_aspect    , 2)
#define S_aspect_EMPTY_MAP            H2_ENCODE_ERR(M_aspect    , 3)
#define S_aspect_CANNOT_READ_POSTER   H2_ENCODE_ERR(M_aspect    , 4)
#define S_aspect_NOT_ENOUGH_MEMORY    H2_ENCODE_ERR(M_aspect    , 5)
#define S_aspect_CANNOT_READ_MAP      H2_ENCODE_ERR(M_aspect    , 6)


/* std errors */
#define S_aspect_stdGenoM_ACTIVITY_INTERRUPTED       394585089   /* 6020<<16 | 0x8000 | 100<<8 | 1 */
#define S_aspect_stdGenoM_TOO_MANY_ACTIVITIES        394585090   /* 6020<<16 | 0x8000 | 100<<8 | 2 */
#define S_aspect_stdGenoM_ACTIVITY_FAILED            394585091   /* 6020<<16 | 0x8000 | 100<<8 | 3 */
#define S_aspect_stdGenoM_WAIT_ABORT_ZOMBIE_ACTIVITY 394585092   /* 6020<<16 | 0x8000 | 100<<8 | 4 */
#define S_aspect_stdGenoM_UNKNOWN_ACTIVITY           394585093   /* 6020<<16 | 0x8000 | 100<<8 | 5 */
#define S_aspect_stdGenoM_FORBIDDEN_ACTIVITY_TRANSITION 394585094   /* 6020<<16 | 0x8000 | 100<<8 | 6 */
#define S_aspect_stdGenoM_SYSTEM_ERROR               394585095   /* 6020<<16 | 0x8000 | 100<<8 | 7 */
#define S_aspect_stdGenoM_ACTIVITY_ALREADY_ENDED     394585096   /* 6020<<16 | 0x8000 | 100<<8 | 8 */
#define S_aspect_stdGenoM_WAIT_INIT_RQST             394585097   /* 6020<<16 | 0x8000 | 100<<8 | 9 */
#define S_aspect_stdGenoM_CONTROL_CODEL_ERROR        394585098   /* 6020<<16 | 0x8000 | 100<<8 | 10 */
#define S_aspect_stdGenoM_EXEC_TASK_SUSPENDED        394585099   /* 6020<<16 | 0x8000 | 100<<8 | 11 */
#define S_aspect_stdGenoM_BAD_BLOCK_TYPE             394585100   /* 6020<<16 | 0x8000 | 100<<8 | 12 */
#define S_aspect_stdGenoM_BAD_POSTER_TYPE            394585101   /* 6020<<16 | 0x8000 | 100<<8 | 13 */



/* static H2_ERROR[] */
#define ASPECT_H2_ERR_MSGS {\
    {"POSTER_NOT_FOUND", 1}, \
    {"BAD_PARAMETERS", 2}, \
    {"EMPTY_MAP", 3},\
    {"CANNOT_READ_POSTER", 4},\
    {"NOT_ENOUGH_MEMORY", 5},\
    {"CANNOT_READ_MAP", 6},\
}

#ifdef __cplusplus
extern "C" {
#endif

extern int aspectRecordH2errMsgs(void);

#ifdef __cplusplus
}
#endif


/*-------------------------- end file loading ---------------------------*/
#endif
